# FoundationClasses
TKernel
TColStd

# TColStd_QueueOfReal Class Reference

`#include <TColStd_QueueOfReal.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | TColStd_QueueOfReal ()
Standard_EXPORT const TColStd_QueueOfReal & | Assign (const TColStd_QueueOfReal &Other)
const TColStd_QueueOfReal & | operator= (const TColStd_QueueOfReal &Other)
Standard_Integer | Length () const
Standard_Boolean | IsEmpty () const
Standard_EXPORT const Standard_Real & | Front () const
Standard_EXPORT void | Clear ()
| ~TColStd_QueueOfReal ()
Standard_EXPORT void | Push (const Standard_Real &T)
Standard_EXPORT void | Pop ()
Standard_EXPORT Standard_Real & | ChangeFront ()

## Private Member Functions

Standard_EXPORT | TColStd_QueueOfReal (const TColStd_QueueOfReal &Other)

## Private Attributes

Standard_Address | myFront
Standard_Address | myEnd
Standard_Integer | myLength

## Constructor & Destructor Documentation

Standard_EXPORT TColStd_QueueOfReal::TColStd_QueueOfReal | ( |  | ) |

TColStd_QueueOfReal::~TColStd_QueueOfReal | ( |  | ) | `[inline]`

Standard_EXPORT TColStd_QueueOfReal::TColStd_QueueOfReal | ( | const TColStd_QueueOfReal & | Other | ) | `[private]`

## Member Function Documentation

Standard_EXPORT const TColStd_QueueOfReal& TColStd_QueueOfReal::Assign | ( | const TColStd_QueueOfReal & | Other | ) |

Standard_EXPORT Standard_Real& TColStd_QueueOfReal::ChangeFront | ( |  | ) |

Standard_EXPORT void TColStd_QueueOfReal::Clear | ( |  | ) |

Standard_EXPORT const Standard_Real& TColStd_QueueOfReal::Front | ( |  | ) | const

Standard_Boolean TColStd_QueueOfReal::IsEmpty | ( |  | ) | const

Standard_Integer TColStd_QueueOfReal::Length | ( |  | ) | const

void TColStd_QueueOfReal::operator delete | ( | void * | anAddress | ) | `[inline]`

void* TColStd_QueueOfReal::operator new | ( | size_t | size | ) | `[inline]`

void* TColStd_QueueOfReal::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

const TColStd_QueueOfReal& TColStd_QueueOfReal::operator= | ( | const TColStd_QueueOfReal & | Other | ) | `[inline]`

Standard_EXPORT void TColStd_QueueOfReal::Pop | ( |  | ) |

Standard_EXPORT void TColStd_QueueOfReal::Push | ( | const Standard_Real & | T | ) |

## Field Documentation

Standard_Address TColStd_QueueOfReal::myEnd `[private]`

Standard_Address TColStd_QueueOfReal::myFront `[private]`

Standard_Integer TColStd_QueueOfReal::myLength `[private]`

The documentation for this class was generated from the following file:

- TColStd_QueueOfReal.hxx